﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.Misc;

namespace WindowsFormsApplication285
{
    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is UltraSplitterUIElement)
            {
                TextUIElement text = new TextUIElement(parent, "Text on UltraSplitter");
                text.Rect = new System.Drawing.Rectangle(0, 0, 30, 120);
                text.TextOrientation = new TextOrientationInfo(90, TextFlowDirection.Horizontal);
                parent.ChildElements.Add(text);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
